## UDisksPartitionTable UDisksPartitionTable — Generated C code for the org.freedesktop.UDisks2.PartitionTable D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_partition_table_interface_info ()
guint | udisks_partition_table_override_properties ()
void | udisks_partition_table_call_create_partition ()
gboolean | udisks_partition_table_call_create_partition_finish ()
gboolean | udisks_partition_table_call_create_partition_sync ()
void | udisks_partition_table_complete_create_partition ()
const gchar * | udisks_partition_table_get_type_ ()
gchar * | udisks_partition_table_dup_type_ ()
void | udisks_partition_table_set_type_ ()
void | udisks_partition_table_proxy_new ()
UDisksPartitionTable * | udisks_partition_table_proxy_new_finish ()
UDisksPartitionTable * | udisks_partition_table_proxy_new_sync ()
void | udisks_partition_table_proxy_new_for_bus ()
UDisksPartitionTable * | udisks_partition_table_proxy_new_for_bus_finish ()
UDisksPartitionTable * | udisks_partition_table_proxy_new_for_bus_sync ()
UDisksPartitionTable * | udisks_partition_table_skeleton_new ()

## Types and Values

| UDisksPartitionTable
struct | UDisksPartitionTableIface
struct | UDisksPartitionTableProxy
struct | UDisksPartitionTableProxyClass
struct | UDisksPartitionTableSkeleton
struct | UDisksPartitionTableSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksPartitionTable
        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksPartitionTableSkeleton
                ╰── UDisksLinuxPartitionTable

## Prerequisites

UDisksPartitionTable requires GObject.

## Implemented Interfaces

UDisksPartitionTableSkeleton implements GDBusInterface and UDisksPartitionTable.

## Known Implementations

UDisksPartitionTable is implemented by UDisksLinuxPartitionTable and UDisksPartitionTableSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.PartitionTable D-Bus interface in C.

## Functions

### udisks_partition_table_interface_info ()

    GDBusInterfaceInfo *
    udisks_partition_table_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.PartitionTable D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_partition_table_override_properties ()

    guint
    udisks_partition_table_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksPartitionTable interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_partition_table_call_create_partition ()

    void
    udisks_partition_table_call_create_partition
                                   (UDisksPartitionTable *proxy,
                                    guint64 arg_offset,
                                    guint64 arg_size,
                                    const gchar *arg_type,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreatePartition()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_partition_table_call_create_partition_finish()` to get the result of the operation.

See `udisks_partition_table_call_create_partition_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksPartitionTableProxy. |
arg_offset | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_type | Argument to pass with the method invocation. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_partition_table_call_create_partition_finish ()

    gboolean
    udisks_partition_table_call_create_partition_finish
                                   (UDisksPartitionTable *proxy,
                                    gchar **out_created_partition,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_partition_table_call_create_partition()`.

#### Parameters

proxy | A UDisksPartitionTableProxy. |
out_created_partition | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_partition_table_call_create_partition()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_partition_table_call_create_partition_sync ()

    gboolean
    udisks_partition_table_call_create_partition_sync
                                   (UDisksPartitionTable *proxy,
                                    guint64 arg_offset,
                                    guint64 arg_size,
                                    const gchar *arg_type,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    gchar **out_created_partition,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreatePartition()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_partition_table_call_create_partition()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksPartitionTableProxy. |
arg_offset | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_type | Argument to pass with the method invocation. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_created_partition | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_partition_table_complete_create_partition ()

    void
    udisks_partition_table_complete_create_partition
                                   (UDisksPartitionTable *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *created_partition);

Helper function used in service implementations to finish handling invocations of the `CreatePartition()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksPartitionTable. |
invocation | A GDBusMethodInvocation. | [transfer full]
created_partition | Parameter to return. |

### udisks_partition_table_get_type_ ()

    const gchar *
    udisks_partition_table_get_type_ (UDisksPartitionTable *object);

Gets the value of the "Type" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_partition_table_dup_type_()` if on another thread.

[skip]

#### Parameters

object | A UDisksPartitionTable. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

### udisks_partition_table_dup_type_ ()

    gchar *
    udisks_partition_table_dup_type_ (UDisksPartitionTable *object);

Gets a copy of the "Type" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksPartitionTable. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

### udisks_partition_table_set_type_ ()

    void
    udisks_partition_table_set_type_ (UDisksPartitionTable *object,
                                      const gchar *value);

Sets the "Type" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksPartitionTable. |
value | The value to set. |

### udisks_partition_table_proxy_new ()

    void
    udisks_partition_table_proxy_new (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.PartitionTable. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_partition_table_proxy_new_finish()` to get the result of the operation.

See `udisks_partition_table_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_partition_table_proxy_new_finish ()

    UDisksPartitionTable *
    udisks_partition_table_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_partition_table_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_partition_table_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksPartitionTableProxy]

### udisks_partition_table_proxy_new_sync ()

    UDisksPartitionTable *
    udisks_partition_table_proxy_new_sync (GDBusConnection *connection,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.PartitionTable. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_partition_table_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksPartitionTableProxy]

### udisks_partition_table_proxy_new_for_bus ()

    void
    udisks_partition_table_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_partition_table_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_partition_table_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_partition_table_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_partition_table_proxy_new_for_bus_finish ()

    UDisksPartitionTable *
    udisks_partition_table_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_partition_table_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_partition_table_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksPartitionTableProxy]

### udisks_partition_table_proxy_new_for_bus_sync ()

    UDisksPartitionTable *
    udisks_partition_table_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_partition_table_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_partition_table_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksPartitionTableProxy]

### udisks_partition_table_skeleton_new ()

    UDisksPartitionTable *
    udisks_partition_table_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.PartitionTable.

#### Returns

The skeleton object.

[transfer full][type UDisksPartitionTableSkeleton]

## Types and Values

### UDisksPartitionTable

    typedef struct _UDisksPartitionTable UDisksPartitionTable;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.PartitionTable.

### struct UDisksPartitionTableIface

    struct UDisksPartitionTableIface {
      GTypeInterface parent_iface;

      gboolean (*handle_create_partition) (
        UDisksPartitionTable *object,
        GDBusMethodInvocation *invocation,
        guint64 arg_offset,
        guint64 arg_size,
        const gchar *arg_type,
        const gchar *arg_name,
        GVariant *arg_options);

      gboolean (*handle_create_partition_and_format) (
        UDisksPartitionTable *object,
        GDBusMethodInvocation *invocation,
        guint64 arg_offset,
        guint64 arg_size,
        const gchar *arg_type,
        const gchar *arg_name,
        GVariant *arg_options,
        const gchar *arg_format_type,
        GVariant *arg_format_options);

      const gchar * (*get_type_) (UDisksPartitionTable *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.PartitionTable.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_create_partition` () | Handler for the “handle-create-partition” signal. |
`handle_create_partition_and_format` () | Handler for the “handle-create-partition-and-format” signal. |
`get_type_` () | Getter for the “type” property. |

### struct UDisksPartitionTableProxy

    struct UDisksPartitionTableProxy {
    };

The UDisksPartitionTableProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksPartitionTableProxyClass

    struct UDisksPartitionTableProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksPartitionTableProxy.

#### Members

### struct UDisksPartitionTableSkeleton

    struct UDisksPartitionTableSkeleton;

The UDisksPartitionTableSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksPartitionTableSkeletonClass

    struct UDisksPartitionTableSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksPartitionTableSkeleton.

#### Members